# Get all of the logs from outer and inner app calls in the given round

GET

/v2/blocks/{round}/logs

Get all of the logs from outer and inner app calls in the given round

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**round**  
required  
integer  
A round number.

## Responses

### 200

All logs emitted in the given round. Each app call, whether top-level or inner, that contains logs results in a separate AppCallLogs object. Therefore there may be multiple AppCallLogs with the same application ID and outer transaction ID in the event of multiple inner app calls to the same app. App calls with no logs are not included in the response. AppCallLogs are returned in the same order that their corresponding app call appeared in the block (pre-order traversal of inner app calls)

Select media type application/json

object

**logs**

required  
Array<object>

The logged messages from an app call along with the app ID and outer transaction ID. Logs appear in the same order that they were emitted.

- **application-index**  
required  
The application from which the logs were generated  
integer

- **logs**  
required  
An array of logs  
Array<string>

- **txId**  
required  
The transaction ID of the outer app call that lead to these logs  
string

### 400

Bad Request - Non integer number

Select media type application/json

An error response with optional data field.

object

**data**  
object

- **message**  
required  
string

### 401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

**data**  
object

- **message**  
required  
string

### 404

Nonexistent block

Select media type application/json

An error response with optional data field.

object

**data**  
object

- **message**  
required  
string

### 500

Internal Error

Select media type application/json

An error response with optional data field.

object

**data**  
object

- **message**  
required  
string
